Bug 182361 - No thumbnails generated for files with incorrect extension
Summary: No thumbnails generated for files with incorrect extension
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: 2.9.0
Platform: Gentoo Packages Linux
: NOR normal with 10 votes (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords: reproducible
Depends on:
Blocks: extramile
  Show dependency treegraph
 
Reported: 2009-01-29 23:33 UTC by dillonco
Modified: 2013-03-16 15:45 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dillonco 2009-01-29 23:33:53 UTC
Version:            (using KDE 4.2.0)
OS:                Linux
Installed from:    Gentoo Packages

If a file has an incorrect extension (e.g. JPEG with '.png'), the thumbnail fails to load (it comes up with the "no" icon).

This seems to happen with every combination of JPG, GIF, and PNG.  The only exception is a GIF with ".png", though not vice versa.


As something of an aside (because I can't verify), I think I observed a couple images (JPG.png) that also wouldn't load in the browser.  Unfortunately I deleted those, and have been unable to replicate the problem, so it's possible they were simply corrupt.
Comment 1 Aurelien Gateau 2009-02-09 22:30:36 UTC
After some investigation, it appears the bug is in Qt image reader. I submitted a patch to Qt Software, I will keep you posted about the result.
Comment 2 Aurelien Gateau 2009-02-10 23:09:09 UTC
Qt Software as created issue 244086 to track this problem.
Comment 3 Benjamin Poulain 2009-02-11 15:26:23 UTC
Thanks to Aurélien for the patch.

I have created the task 244359 for this issue (the task 244086 is only to validate the bug and create a test case). Here is the page for this task: http://www.qtsoftware.com/developer/task-tracker/index_html?id=244359&method=entry

It will be reviewed by the developers of QImageReader as soon as possible.
Comment 4 Philip Webb 2009-09-28 14:57:14 UTC
This is still a problem in KDE 4.3.1 .  Gwenview correctly identifies the type of the image, but refuses to show the thumbnail without the proper extension.
This usage reflects the Microsoft approach rather than traditional UNIX:
I hope that is unintentional (smile).
Comment 5 Aurelien Gateau 2009-12-08 17:19:39 UTC
(In reply to comment #4)
> This is still a problem in KDE 4.3.1 .

The Qt report says the change is scheduled for Qt 4.6.0, so it should be fixed which will be used by KDE SC 4.4.
Comment 6 Jekyll Wu 2011-12-10 19:23:12 UTC
(In reply to comment #5)
> The Qt report says the change is scheduled for Qt 4.6.0, so it should be fixed
> which will be used by KDE SC 4.4.

Hi, I just checked this issue against the master code and Qt 4.7.4. Unfortunately, it is still a problem (for me).
Comment 7 Götz 2012-04-07 22:47:09 UTC
The link to the Qt task is no longer valid.

Today, with Qt 4.8, KDE 4.8.2 and Gwenview 2.8.2, I encontered a PNG image, with jpg extension, which didn't produce thumbnail in Dolphin nor in Gwenview.

My question is, was this a Qt bug, which was or will be fixed, or is this a bug somewhere else? As this affects also Dolphin.
Comment 8 Japs 2012-10-09 15:28:04 UTC
> My question is, was this a Qt bug, which was or will be fixed, or is this a
> bug somewhere else? As this affects also Dolphin.

I happen to have read of a similar problem yesterday on Debian bug tracker <a href='http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496669#25'>#496669</a>. The problem appears to be in kdelibs, and in particular in kmimetypefinder.

The debian bug report is quite dated (4 years), but i can confirm the same exact behaviour on kde 4.8.4.
Comment 9 Aurelien Gateau 2013-01-23 13:21:18 UTC
Git commit a693664717fcd1d2e1064e1351a3057aee066827 by Aurélien Gâteau.
Committed on 23/01/2013 at 14:20.
Pushed by gateau into branch 'KDE/4.10'.

Merge branch 'load-img-with-wrong-extension' into KDE/4.10

REVIEW: 108470
FIXED-IN: 4.10.0


http://commits.kde.org/gwenview/a693664717fcd1d2e1064e1351a3057aee066827